#######################################################################################
# A dependency is identied by:
# groupId: a simple component name that adheres to java
#           variable naming conventions. e.g. wtp
# url:  Url to a remote repository that can be used by a
#       http GET request to download the library
#       to a local cache repository. URL should not include the file.
#       See the next description for the file
# file: Name of the library that is used.  If the library is platform dependent
#       it must have suffixes such as: file.linux.gtk.x86
#       These suffixes are the same as those used by releng baseos,basews,basearch
#            baseos= linux or win32
#            basews= gtk or win32
#            basearch=x86
# name:  A short user readable name for the library.
# description:  One line description for the library.
# autodownload: [optional] default true.  Set this to false if the file cannot be
#                downloaded automatically (i.e. requires license accept click through).
#                If autodownload is false, and the library is not avaialbe in the local
#                repository (cache).  User must download the library and copy it into
#                the local repository.
# releng.url: [optional] Copies the original to a releng repository.  Useful for libraries
#                        that can get deleted from their original URLs.  Releng will use
#                        the local cache, original url, releng.url in that order to get the
#                        the dependency.  If a releng.url is not provided, the library will
#                        always be requested from its original site.
#
# Example:
# wtp.url  = http://download.eclipse.org/webtools/downloads/drops/R-0.7-200507290654
# wtp.file = wtp-sdk-0.7.zip
# wtp.name = WTP 0.7 SDK
# wtp.description = WTP 0.7 SDK distribution
#######################################################################################

#######################################################################################
# Eclipse SDK Dependency
# Eclipse zip to be downloaded
# Eclipse SDK will be used for building the distribution
# groupID : eclipse
eclipse.url  = http://download.eclipse.org/eclipse/downloads/drops/R-3.3.1.1-200710231652/
eclipse.file.linux.gtk.x86=eclipse-SDK-3.3.1.1-linux-gtk.tar.gz
eclipse.file.linux.gtk.ppc=eclipse-SDK-3.3.1.1-linux-gtk-ppc.tar.gz
eclipse.file.win32.win32.x86=eclipse-SDK-3.3.1.1-win32.zip
eclipse.file.macosx.carbon.ppc=eclipse-SDK-3.3.1.1-macosx-carbon.tar.gz
eclipse.name = Eclipse SDK v3.3.1.1
eclipse.description = Eclipse SDK v3.3.1.1

#######################################################################################
# groupID : eclipseRuntime

eclipseRuntime.url  = ${eclipse.url}
eclipseRuntime.file.linux.gtk.x86=eclipse-platform-3.3.1.1-linux-gtk.tar.gz
eclipseRuntime.file.linux.gtk.ppc=eclipse-platform-3.3.1.1-linux-gtk-ppc.tar.gz
eclipseRuntime.file.win32.win32.x86=eclipse-platform-3.3.1.1-win32.zip
eclipseRuntime.file.macosx.carbon.ppc=eclipse-platform-3.3.1.1-macosx-carbon.tar.gz
eclipseRuntime.name = Eclipse Runtime v3.3.1.1
eclipseRuntime.description = Eclipse Runtime v3.3.1.1

#######################################################################################
# groupID : cvsClient

cvsClient.url  = ${eclipse.url}
cvsClient.file=eclipse-CVS-Client-3.3.1.1.zip
cvsClient.name = Eclipse CVS Client Runtime v3.3.1.1
cvsClient.description = Eclipse CVS Client Runtime v3.3.1.1

#######################################################################################
# groupID : jdtRuntime

jdtRuntime.url  = ${eclipse.url}
jdtRuntime.file.all=eclipse-JDT-3.3.1.1.zip
jdtRuntime.file.linux.gtk.x86=${jdtRuntime.file.all}
jdtRuntime.file.linux.gtk.ppc=${jdtRuntime.file.all}
jdtRuntime.file.win32.win32.x86=${jdtRuntime.file.all}
jdtRuntime.file.macosx.carbon.ppc=eclipse-JDT-3.3.1.1-macosx-carbon.tar.gz
jdtRuntime.name = Eclipse JDT Runtime v3.3.1.1
jdtRuntime.description = Eclipse JDT Runtime v3.3.1.1

#######################################################################################

#######################################################################################
# Eclipse Test Framework
# Eclipse Test Framework support zip to be downloaded
# Eclipse Test Framework will be used for testing and building the tests
# groupID : eclipseTestFramework

eclipseTestFramework.url  = ${eclipse.url}
#eclipseTestFramework.releng.url = http://archive.eclipse.org/webtools/downloads/drivers
eclipseTestFramework.file = eclipse-test-framework-3.3.1.1.zip
eclipseTestFramework.name = Eclipse test framework v3.3.1.1
eclipseTestFramework.description = Eclipse test framework v3.3.1.1

#######################################################################################

#######################################################################################
# Eclipse Modeling Framework (EMF) Dependency
# EMF zip to be downloaded
# EMF SDO XSD SDK will be used for building the distribution
# groupID : emf
emf.url  = http://download.eclipse.org/modeling/emf/emf/downloads/drops/2.3.1/R200709252135/
emf.file = emf-sdo-xsd-SDK-2.3.1.zip
emf.name = EMF SDO XSD 2.3.1 SDK
emf.description = EMF XSD SDO 2.3.1 SDK distribution

#######################################################################################
# groupID : emfSdoRuntime
emfSdoRuntime.url  = ${emf.url}
emfSdoRuntime.file = emf-sdo-runtime-2.3.1.zip
emfSdoRuntime.name = EMF SDO 2.3.1 runtime
emfSdoRuntime.description = EMF SDO 2.3.1 runtime distribution

#######################################################################################
# groupID : xsdRuntime
xsdRuntime.url  = ${emf.url}
xsdRuntime.file = xsd-runtime-2.3.1.zip
xsdRuntime.name = XSD 2.3.1 runtime
xsdRuntime.description = XSD 2.3.1 runtime distribution

#######################################################################################

#######################################################################################
# Eclipse Graphical Editing Framework (GEF) Dependency
# GEF zip to be downloaded
# GEF SDK will be used for building the distribution
# groupID : gef
gef.url  = http://download.eclipse.org/tools/gef/downloads/drops/R-3.3.1-200709241000
gef.file = GEF-SDK-3.3.1.zip
gef.name = GEF 3.3.1 SDK
gef.description = GEF 3.3.1 SDK distribution

#######################################################################################
# groupID : gefRuntime

gefRuntime.url  = ${gef.url}
gefRuntime.file = GEF-runtime-3.3.1.zip
gefRuntime.name = GEF 3.3.1 runtime
gefRuntime.description = GEF 3.3.1 runtime distribution

#######################################################################################

#######################################################################################
# Eclipse Datatools Platform Project (DTP) Dependency
# DTP zip to be downloaded
# DTP SDK will be used for building the distribution
# groupID : dtp
dtp.url  = http://download.eclipse.org/datatools/downloads/1.5
dtp.file = dtp-sdk_1.5.1_101607.zip
dtp.name = DTP 1.5.1 SDK
dtp.description = DTP 1.5.1 SDK distribution

#######################################################################################
# groupID : dtpRuntime

dtpRuntime.url  = ${dtp.url}
dtpRuntime.file = dtp_1.5.1_101607.zip
dtpRuntime.name = DTP 1.5.1 runtime
dtpRuntime.description = DTP 1.5.1 runtime distribution

#######################################################################################

#######################################################################################
# WebTools Dependency
# WTP zip to be downloaded
# WTP will be used for building the distribution
# groupID : wtp
wtp.url  = http://download.eclipse.org/webtools/downloads/drops/R2.0/R-2.0.1-20070926042742
wtp.file = wtp-sdk-R-2.0.1-20070926042742.zip
wtp.name = WTP 2.0.1 SDK
wtp.description = WTP 2.0.1 SDK distribution

#######################################################################################
# WebTools Dependency
# WTP zip to be downloaded
# WTP will be used for building the distribution
# groupID : wtpRuntime

wtpRuntime.url  = ${wtp.url}
wtpRuntime.file = wtp-R-2.0.1-20070926042742.zip
wtpRuntime.name = WTP 2.0.1 Runtime
wtpRuntime.description = WTP 2.0.1 Runtime distribution
